<?php
namespace App\Repositories;

abstract class BaseRepository {
    protected $db;

    public function __construct() {
        $this->db = db();
    }

    public function beginTransaction() {
        return $this->db->beginTransaction();
    }

    public function commit() {
        return $this->db->commit();
    }

    public function rollBack() {
        return $this->db->rollBack();
    }
}